## framework2 2.0

=== src/impurity/Makefile ===
all: tracepath

.c.o:
	gcc -c $<

tracepath: tracepath.c
	diet gcc -Wl,-T,script-ld-impurity -o tracepath tracepath.c -s -static
	/sbin/chpax -m shelldemo >/dev/null 2>&1 || true

clean:
	rm -f *.o tracepath

=== src/impurity/shelldemo/Makefile ===
SRC	= cmd_base.c cmd_expl.c cmd_fd.c cmd_fs.c cmd_misc.c \
          cmd_privs.c cmd_proc.c cmd_sys.c main.c misc.c
	  	  
CFLAGS	= -Wall -s -static
LDFLAGS = -Wl,-T,../script-ld-impurity 

BIN	= $(SRC:.c=.o)

all: clean ${BIN} shelldemo

%.o: %.c
	diet $(CC) -c $(CFLAGS) $*.c

shelldemo:
	diet $(CC) $(CFLAGS) $(LDFLAGS) -o shelldemo *.o
	/sbin/chpax -m shelldemo >/dev/null 2>&1 || true
clean:
	rm -f shelldemo *.o

=== src/shellcode/bsd/ia32/Makefile ===
ASM=nasm
STAGERS=stager_sock_bind stager_sock_find stager_sock_reverse
STAGES=stage_tcp_shell
SINGLE=single_bind_tcp_shell single_exec single_find_tcp_shell single_reverse_libinject single_reverse_tcp_shell single_findsock
OBJS=${STAGERS} ${STAGES} ${SINGLE}

include ../../Makefile.incl

all: 
	@for i in ${OBJS}; ${BUILDASMBSD}; done

clean:
	rm -f *.o *.hex ${OBJS} *.disasm

=== src/shellcode/linux/ia32/Makefile ===
ASM=nasm
STAGERS=stager_sock_bind stager_sock_bind_udp stager_sock_bind_icmp \
        stager_egghunt stager_sock_find stager_sock_reverse \
        stager_sock_reverse_icmp stager_sock_reverse_udp \
		  stager_sock_reverse_udp_dns
STAGES=stage_tcp_shell stage_udp_shell
SINGLE=single_adduser single_bind_tcp_shell single_find_tcp_shell \
       single_reverse_tcp_shell single_reverse_udp_shell single_exec
OBJS=${STAGERS} ${STAGES} ${SINGLE}

include ../../Makefile.incl

all: 
	@for i in ${OBJS}; ${BUILDASM}; done

clean:
	rm -f *.o *.hex ${OBJS} *.disasm

=== debian/changelog ===
framework2 (2.0-1kali3) kali-dev; urgency=medium

  [ Ben Wilson ]
  * New helper-script format
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Kali Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Steev Klimaszewski ]
  * Add d/watch file
  * Update d/watch to point to git.
  * Add lintian overrides
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 18 Jan 2023 12:38:39 -0600

framework2 (2.0-1kali2) kali-dev; urgency=medium

  * Add helper-script

 -- Ben Wilson <g0tmi1k@kali.org>  Mon, 08 Nov 2021 12:15:31 +0000

framework2 (2.0-1kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Dec 2020 16:24:30 +0100

framework2 (2.0-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Tue, 26 Feb 2013 11:22:16 -0700

=== debian/control ===
Source: framework2
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
           Ben Wilson <g0tmi1k@kali.org>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://www.metasploit.com
Vcs-Git: https://gitlab.com/kalilinux/packages/framework2.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/framework2

Package: framework2
Architecture: all
Depends: ${misc:Depends},
         perl,
         kali-defaults,
Description: Metasploit Framework 2
 Version 2 of the Metasploit Framework.
 No longer updated but still useful, particularly for shellcode.

=== debian/watch ===
version=4
# There will never be another release, so lets just point at the git repo, and
# force it.
# https://github.com/metasploit/framework2
opts="mode=git, pretty=2.0~git%cd, pgpmode=none" \
  https://github.com/metasploit/framework2 HEAD
